Subject: Re: [domainrep] I-D Action: draft-ietf-repute-media-type-03.txt

From: 邓光青 <[email-masked]>
Date: Wed, 18 Jul 2012 21:29:21 +0800

Hi, folks, I have read this draft and now I am confused by the RATING
(whose definition is in section 3.1). Namely, If the RATING equals 0.5, the
ASSERTION is supported or not by the RATER? Consider this case:

Content-type: application/reputon+json

{

"reputon":

{

"rater": "RatingsRUs.example.com",

"rater-authenticity": 1.0,

"assertion": "IS-GOOD",

"rated": "Alex Rodriguez",

"rating": 0.5,

"sample-size": 50000

}

}
…indicates that we are absolutely *sure* (1.0) that the entity "
RatingsRUs.example.com" consolidated 50000 data points (perhaps from
everyone in Yankee Stadium) and concluded that Alex Rodriguez may be *good*
or be *bad* (0.5) at something. Besides, if "rater-authenticity" equals 0.5
but "rating" equals 1.0, it is also very hard to understand.

2012/6/29 <[email-masked]>

>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
>  This draft is a work item of the Reputation Services Working Group of the
> IETF.
>
>         Title           : A Media Type for Reputation Interchange
>         Author(s)       : Nathaniel Borenstein
>                           Murray S. Kucherawy
>         Filename        : draft-ietf-repute-media-type-03.txt
>         Pages           : 12
>         Date            : 2012-06-28
>
> Abstract:
>    This document defines a media type for exchanging reputation
>    information about an arbitrary class of object.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-repute-media-type
>
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-ietf-repute-media-type-03
>
> A diff from previous version is available at:
> http://tools.ietf.org/rfcdiff?url2=draft-ietf-repute-media-type-03
>
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> domainrep mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/domainrep
>

-- 
Guangqing Deng

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Wed, 18 Jul 2012 10:37:51 -0700

On Wed, Jul 18, 2012 at 6:29 AM, 邓光青 <[email-masked]> wrote:

> Consider this case:

I interpret that reply to mean, literally: RatingsRUs.example.com collected
50,000 data points about Alex Rodriguez.  It is 100% certain that "Alex
Rodriguez" refers to a real thing.  The data collected indicates that the
claim "Alex Rodriguez is good" is 50% true.

As a person reading this, I take that to mean he's not good but also not
bad at whatever the application space covers, or that it's 50% likely that
he's good.

-MSK

---

From: Steve Allam <[email-masked]>
Date: Thu, 19 Jul 2012 11:24:07 +0100

Hi,

Maybe also worth pointing out that the reputation application that is 
being used (ficticious in this case) would have its own description of 
how it used the rating item, and how the number should be interpreted - 
in a similar way to many anti-spam systems that provide a score, they 
normally provide information on what different levels of that score mean 
and how you might use them - as the user, you can then do whatever you 
like, but the recommendations are provided.

As a further example, in our reputation application, the RATING item in 
the repute response will be either 0 or 1, never anything inbetween, as 
we are simply returning a true or false - our documentation will detail 
how you may wish to use the 0 or 1 as well.

Regards,

Steve

On 18/07/2012 18:37, Murray S. Kucherawy wrote:
> On Wed, Jul 18, 2012 at 6:29 AM, ??? <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>
>     Consider this case:
>
>     "rater": "RatingsRUs.example.com <http://RatingsRUs.example.com>",
>
>     ...indicates that we are absolutely *sure* (1.0) that the entity
>     "RatingsRUs.example.com <http://RatingsRUs.example.com>"
>     consolidated 50000 data points (perhaps from everyone in Yankee
>     Stadium) and concluded that Alex Rodriguez may be *good* or be
>     *bad* (0.5) at something. Besides, if "rater-authenticity" equals
>     0.5 but "rating" equals 1.0, it is also very hard to understand.
>
>
>
> I interpret that reply to mean, literally: RatingsRUs.example.com 
> <http://RatingsRUs.example.com> collected 50,000 data points about 
> Alex Rodriguez.  It is 100% certain that "Alex Rodriguez" refers to a 
> real thing.  The data collected indicates that the claim "Alex 
> Rodriguez is good" is 50% true.
>
> As a person reading this, I take that to mean he's not good but also 
> not bad at whatever the application space covers, or that it's 50% 
> likely that he's good.
>
> -MSK
>
>

---

From: 邓光青 <[email-masked]>
Date: Thu, 19 Jul 2012 23:43:06 +0800

Hi, folks, before mentioning the RATER, RATED and RATING, let’s look back:
what should the judge do towards the suspect in court. Usually, the judge
should sentence the suspect to be either guilty or innocent; no judge will
sentence a suspect to be 50% guilty (or innocent)! To some extent, the role
of RATER, RATED and RATING is similar to that of the judge, suspect and
verdict, respectively. In my opinion, the RATER should have a clear
position towards the RATED; so the RATING should be either 0 or 1, no
other floating-point
number between 0 and 1.

2012/7/19 Steve Allam <[email-masked]>

> being used (ficticious in this case) would have its own description of how
> it used the rating item, and how the number should be interpreted - in a
> similar way to many anti-spam systems that provide a score, they normally
> provide information on what different levels of that score mean and how you
> might use them - as the user, you can then do whatever you like, but the
> recommendations are provided.
>
> the repute response will be either 0 or 1, never anything inbetween, as we
> are simply returning a true or false - our documentation will detail how
> you may wish to use the 0 or 1 as well.
>
> Regards,
>
> Steve
>
>
>
>
> I interpret that reply to mean, literally: RatingsRUs.example.comcollected 50,000 data points about Alex Rodriguez.  It is 100% certain that
> "Alex Rodriguez" refers to a real thing.  The data collected indicates that
> the claim "Alex Rodriguez is good" is 50% true.
>
> domainrep mailing [email-masked]://www.ietf.org/mailman/listinfo/domainrep
>
>
>
>

-- 
Guangqing Deng

---

From: Steve Allam <[email-masked]>
Date: Thu, 19 Jul 2012 16:52:19 +0100

It depends.

If my assertion is "does this sender ALWAYS send good messages", the
rating would be 1 or 0
If my assertion is "what percentage of mail is good from this sender",
the rating will be somewhere between 0 and 1

Hence, the rating can be whatever the application author wants it to be,
repute just provides the framework.

Steve

On 19/07/2012 16:43, 邓光青 wrote:
>
> Hi, folks, before mentioning the RATER, RATED and RATING, let’s look
> back: what should the judge do towards the suspect in court.Usually,
> the judge should sentence the suspect to be either guilty or innocent;
> no judge will sentence a suspect to be 50% guilty (or innocent)! To
> some extent, the role of RATER, RATED and RATING is similar to that of
> the judge, suspect and verdict, respectively. In my opinion, the
> RATERshould have a clear position towards the RATED; so the RATING
> should be either 0 or 1, no other floating-point number between 0 and 1.
>
>
>
> 2012/7/19 Steve Allam <[email-masked]
> <mailto:[email-masked]>>
>
>     Hi,
>
>     Maybe also worth pointing out that the reputation application that
>     is being used (ficticious in this case) would have its own
>     description of how it used the rating item, and how the number
>     should be interpreted - in a similar way to many anti-spam systems
>     that provide a score, they normally provide information on what
>     different levels of that score mean and how you might use them -
>     as the user, you can then do whatever you like, but the
>     As a further example, in our reputation application, the RATING
>     item in the repute response will be either 0 or 1, never anything
>     inbetween, as we are simply returning a true or false - our
>     documentation will detail how you may wish to use the 0 or 1 as well.
>
>     Regards,
>
>     Steve
>
>
>
>
>>     On Wed, Jul 18, 2012 at 6:29 AM, 邓光青 <[email-masked]
>>         …indicates that we are absolutely *sure* (1.0) that the
>>         entity "RatingsRUs.example.com
>>         <http://RatingsRUs.example.com>" consolidated 50000 data
>>         points (perhaps from everyone in Yankee Stadium) and
>>         concluded that Alex Rodriguez may be *good* or be *bad* (0.5)
>>         at something. Besides, if "rater-authenticity" equals 0.5 but
>>         "rating" equals 1.0, it is also very hard to understand.
>>
>>
>>
>>     <http://RatingsRUs.example.com> collected 50,000 data points
>>     about Alex Rodriguez. It is 100% certain that "Alex Rodriguez"
>>     refers to a real thing. The data collected indicates that the
>>     As a person reading this, I take that to mean he's not good but
>>     also not bad at whatever the application space covers, or that
>>     it's 50% likely that he's good.
>>
>>     -MSK
>>
>>
>>     [email-masked] <mailto:[email-masked]>
>     [email-masked] <mailto:[email-masked]>

---

From: Guangqing Deng <[email-masked]>
Date: Sun, 29 Jul 2012 21:18:14 +0800

Maybe it is worthy to take consideration of RATER-AUTHENTICITY whose value
range is also between 0.0 and 1.0. Users will be puzzled by a
RATER-AUTHENTICITY of 0.5, for they can’t determine the RATED is genuine or
not. It is better to send a clear indication to the users no matter what
they will do (but the recommendation is provided). So the
RATER-AUTHENTICITY item should also be either 0 or 1, no other
floating-point number between 0 and 1. Another issue that I am interested
in is how to compute the RATER-AUTHENTICITY? You know, the RATING is
computed from the collected data; is the RATER-AUTHENTICITY also computed
from that? Please forgive me if I miss something important.

> If my assertion is "what percentage of mail is good from this sender", the
> rating will be somewhere between 0 and 1
>
> should sentence the suspect to be either guilty or innocent; no judge
> will sentence a suspect to be 50% guilty (or innocent)! To some extent, the
> role of RATER, RATED and RATING is similar to that of the judge, suspect
> and verdict, respectively. In my opinion, the RATER should have a clear
> other floating-point number between 0 and 1.
>
>

-- 
Guangqing Deng